Skip to main content
GET
Get FCM Positions

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

Base64 signature of the pre-sign text (timestamp + method + path) made with the API key's algorithm - RSA-PSS with SHA-256 for RSA keys, Ed25519 for Ed25519 keys

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Query Parameters

subtrader_id
string

Restricts the response to positions for a specific subtrader (FCM members only). Required unless the API key is bound to a subtrader, in which case it defaults to the bound subtrader when omitted and must equal it when supplied.

ticker
string

Ticker of desired positions

event_ticker
string

Event ticker of desired positions

count_filter
string

Restricts the positions to those with any of following fields with non-zero values, as a comma separated list

settlement_status
enum<string>

Settlement status of the markets to return. Defaults to unsettled

Available options:
all,
unsettled,
settled
limit
integer

Parameter to specify the number of results per page. Defaults to 100

Required range: 1 <= x <= 1000
cursor
string

The Cursor represents a pointer to the next page of records in the pagination

Response

Positions retrieved successfully

market_positions
object[]
required

List of market positions

event_positions
object[]
required

List of event positions

cursor
string

The Cursor represents a pointer to the next page of records in the pagination. Use the value returned here in the cursor query parameter for this end-point to get the next page containing limit records. An empty value of this field indicates there is no next page.